Package ghidra.framework.options

# Class WrappedCustomOption

java.lang.Object
ghidra.framework.options.WrappedCustomOption

All Implemented Interfaces:
  `WrappedOption`

public class WrappedCustomOption extends Object implements WrappedOption

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrappedCustomOption()`
  `WrappedCustomOption(CustomOption value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getObject()`
  Get the object that is the property value.
  `OptionType`
  `getOptionType()`
  `void`
  `readState(SaveState saveState)`
  Concrete subclass of WrappedOption should read all of its state from the given saveState object.
  `void`
  `writeState(SaveState saveState)`
  Concrete subclass of WrappedOption should write all of its state to the given saveState object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WrappedCustomOption

    public WrappedCustomOption(CustomOption value)

  - ### WrappedCustomOption

    public WrappedCustomOption()

- ## Method Details

  - ### readState

    public void readState(SaveState saveState)
    Description copied from interface: `WrappedOption`
    Concrete subclass of WrappedOption should read all of its state from the given saveState object.
    Specified by:
      `readState` in interface `WrappedOption`
    Parameters:
      `saveState` - container of state information

  - ### writeState

    public void writeState(SaveState saveState)
    Description copied from interface: `WrappedOption`
    Concrete subclass of WrappedOption should write all of its state to the given saveState object.
    Specified by:
      `writeState` in interface `WrappedOption`
    Parameters:
      `saveState` - container of state information

  - ### getObject

    public Object getObject()
    Description copied from interface: `WrappedOption`
    Get the object that is the property value.
    Specified by:
      `getObject` in interface `WrappedOption`

  - ### getOptionType

    public OptionType getOptionType()
    Specified by:
      `getOptionType` in interface `WrappedOption`